<div class="loader" *ngIf="showLoader">
  <app-loader></app-loader>
</div>

<navbar-app [default]="navbarMode" [checkLogin]="checkLogin"></navbar-app>

<div class="body">
  <div class="sidebar">
    <div class="filters">
      <form [formGroup]="filterForm" dir="rtl" (ngSubmit)="doFilter()">
        <div class="search" data-aos="zoom-in" data-aos-duration="500">
          <input type="text" formControlName="search" placeholder="جستجو ..." />
        </div>
        <div class="border"></div>

        <!-- roles -->
        <div class="roles">
          <input
            type="text"
            formControlName="role"
            name="roles"
            class="select-input"
            placeholder="انجمن علمی"
            autocomplete="off"
          />
          <ul class="dropdown" id="roles">
            <li *ngFor="let role of roles" (click)="setRoleValue(role)">
              {{ role.name }}
            </li>
          </ul>
        </div>

        <!-- post type -->
        <div class="post-type">
          <input
            type="text"
            formControlName="postType"
            name="postTypes"
            class="select-input"
            placeholder="مقاله"
            autocomplete="off"
          />
          <ul class="dropdown" id="postTypes">
            <li *ngFor="let item of postTypes" (click)="setPostTypeValue(item)">
              {{ item.title }}
            </li>
          </ul>
        </div>

        <!-- type -->
        <div class="type">
          <input
            type="text"
            formControlName="type"
            name="types"
            class="select-input"
            placeholder="جدیدترین"
            autocomplete="off"
          />
          <ul class="dropdown" id="types">
            <li *ngFor="let item of types" (click)="setTypeValue(item)">
              {{ item.name }}
            </li>
          </ul>
        </div>

        <!-- group -->
        <div class="group">
          <input
            type="text"
            formControlName="group"
            name="groups"
            class="select-input"
            placeholder="انتخاب کنید"
            autocomplete="off"
            (ngModelChange)="filterGroup()"
          />
          <ul class="dropdown" id="groups">
            <li
              *ngFor="let item of filteredGroups"
              (click)="setGroupValue(item)"
            >
              {{ item.title }}
            </li>
          </ul>
        </div>

        <div class="search-btn">
          <p (click)="doFilter()">
            <span>
              <fa-icon [icon]="faSearch"></fa-icon>
            </span>
            جستجو
          </p>
        </div>
      </form>
    </div>
  </div>
  <div class="main">
    <div class="middle-box">
      <div class="item-box" dir="rtl">
        <!-- loader -->
        <div class="list-loader" *ngIf="showListLoader">
          <app-loader></app-loader>
        </div>
        <div class="item" *ngFor="let item of items">
          <app-article-item
            [data]="item"
            [postType]="postType"
          ></app-article-item>
        </div>
        <!-- 404 -->
        <div *ngIf="items.length == 0" class="not-found">
          <img src="../../assets/images/icon png/404.png" alt="" />
          <p>
            موردی یافت نشد !
          </p>
        </div>

        <!-- pager -->
        <div
          *ngIf="items.length !== 0"
          class="bottom-pager"
          data-aos="zoom-in"
          data-aos-duration="500"
        >
          <span class="right" title="قبلی" (click)="goPrevious()">
            <fa-icon [icon]="faAngleRight"></fa-icon>
          </span>
          <span class="page-number"> {{ pageNumber }} </span>
          <span class="left" title="بعدی" (click)="goNext()">
            <fa-icon [icon]="faAngleLeft"></fa-icon>
          </span>
        </div>
      </div>
    </div>
  </div>
</div>

<footer-app [checkLogin]="checkLogin"></footer-app>
